/* prettier-ignore-start */

/* eslint-disable */

// @ts-nocheck

// noinspection JSUnusedGlobalSymbols

// This file is auto-generated by TanStack Router

// Import Routes

import { Route as rootRoute } from './routes/__root'
import { Route as PanierImport } from './routes/panier'
import { Route as LabellisationImport } from './routes/labellisation'
import { Route as CatalogueImport } from './routes/catalogue'
import { Route as UserLayoutImport } from './routes/_userLayout'
import { Route as IndexImport } from './routes/index'
import { Route as CatalogueRessourceIdImport } from './routes/catalogue/$ressourceId'
import { Route as UserLayoutCompteImport } from './routes/_userLayout/compte'
import { Route as UserLayoutCompteRessourcesImport } from './routes/_userLayout/compte.ressources'
import { Route as UserLayoutCompteProfilImport } from './routes/_userLayout/compte.profil'
import { Route as UserLayoutCompteParametresImport } from './routes/_userLayout/compte.parametres'
import { Route as UserLayoutCompteDemandesImport } from './routes/_userLayout/compte.demandes'
import { Route as UserLayoutCompteCreditsImport } from './routes/_userLayout/compte.credits'
import { Route as UserLayoutCompteCommandesImport } from './routes/_userLayout/compte.commandes'

// Create/Update Routes

const PanierRoute = PanierImport.update({
  path: '/panier',
  getParentRoute: () => rootRoute,
} as any)

const LabellisationRoute = LabellisationImport.update({
  path: '/labellisation',
  getParentRoute: () => rootRoute,
} as any)

const CatalogueRoute = CatalogueImport.update({
  path: '/catalogue',
  getParentRoute: () => rootRoute,
} as any)

const UserLayoutRoute = UserLayoutImport.update({
  id: '/_userLayout',
  getParentRoute: () => rootRoute,
} as any)

const IndexRoute = IndexImport.update({
  path: '/',
  getParentRoute: () => rootRoute,
} as any)

const CatalogueRessourceIdRoute = CatalogueRessourceIdImport.update({
  path: '/$ressourceId',
  getParentRoute: () => CatalogueRoute,
} as any)

const UserLayoutCompteRoute = UserLayoutCompteImport.update({
  path: '/compte',
  getParentRoute: () => UserLayoutRoute,
} as any)

const UserLayoutCompteRessourcesRoute = UserLayoutCompteRessourcesImport.update(
  {
    path: '/ressources',
    getParentRoute: () => UserLayoutCompteRoute,
  } as any,
)

const UserLayoutCompteProfilRoute = UserLayoutCompteProfilImport.update({
  path: '/profil',
  getParentRoute: () => UserLayoutCompteRoute,
} as any)

const UserLayoutCompteParametresRoute = UserLayoutCompteParametresImport.update(
  {
    path: '/parametres',
    getParentRoute: () => UserLayoutCompteRoute,
  } as any,
)

const UserLayoutCompteDemandesRoute = UserLayoutCompteDemandesImport.update({
  path: '/demandes',
  getParentRoute: () => UserLayoutCompteRoute,
} as any)

const UserLayoutCompteCreditsRoute = UserLayoutCompteCreditsImport.update({
  path: '/credits',
  getParentRoute: () => UserLayoutCompteRoute,
} as any)

const UserLayoutCompteCommandesRoute = UserLayoutCompteCommandesImport.update({
  path: '/commandes',
  getParentRoute: () => UserLayoutCompteRoute,
} as any)

// Populate the FileRoutesByPath interface

declare module '@tanstack/react-router' {
  interface FileRoutesByPath {
    '/': {
      id: '/'
      path: '/'
      fullPath: '/'
      preLoaderRoute: typeof IndexImport
      parentRoute: typeof rootRoute
    }
    '/_userLayout': {
      id: '/_userLayout'
      path: ''
      fullPath: ''
      preLoaderRoute: typeof UserLayoutImport
      parentRoute: typeof rootRoute
    }
    '/catalogue': {
      id: '/catalogue'
      path: '/catalogue'
      fullPath: '/catalogue'
      preLoaderRoute: typeof CatalogueImport
      parentRoute: typeof rootRoute
    }
    '/labellisation': {
      id: '/labellisation'
      path: '/labellisation'
      fullPath: '/labellisation'
      preLoaderRoute: typeof LabellisationImport
      parentRoute: typeof rootRoute
    }
    '/panier': {
      id: '/panier'
      path: '/panier'
      fullPath: '/panier'
      preLoaderRoute: typeof PanierImport
      parentRoute: typeof rootRoute
    }
    '/_userLayout/compte': {
      id: '/_userLayout/compte'
      path: '/compte'
      fullPath: '/compte'
      preLoaderRoute: typeof UserLayoutCompteImport
      parentRoute: typeof UserLayoutImport
    }
    '/catalogue/$ressourceId': {
      id: '/catalogue/$ressourceId'
      path: '/$ressourceId'
      fullPath: '/catalogue/$ressourceId'
      preLoaderRoute: typeof CatalogueRessourceIdImport
      parentRoute: typeof CatalogueImport
    }
    '/_userLayout/compte/commandes': {
      id: '/_userLayout/compte/commandes'
      path: '/commandes'
      fullPath: '/compte/commandes'
      preLoaderRoute: typeof UserLayoutCompteCommandesImport
      parentRoute: typeof UserLayoutCompteImport
    }
    '/_userLayout/compte/credits': {
      id: '/_userLayout/compte/credits'
      path: '/credits'
      fullPath: '/compte/credits'
      preLoaderRoute: typeof UserLayoutCompteCreditsImport
      parentRoute: typeof UserLayoutCompteImport
    }
    '/_userLayout/compte/demandes': {
      id: '/_userLayout/compte/demandes'
      path: '/demandes'
      fullPath: '/compte/demandes'
      preLoaderRoute: typeof UserLayoutCompteDemandesImport
      parentRoute: typeof UserLayoutCompteImport
    }
    '/_userLayout/compte/parametres': {
      id: '/_userLayout/compte/parametres'
      path: '/parametres'
      fullPath: '/compte/parametres'
      preLoaderRoute: typeof UserLayoutCompteParametresImport
      parentRoute: typeof UserLayoutCompteImport
    }
    '/_userLayout/compte/profil': {
      id: '/_userLayout/compte/profil'
      path: '/profil'
      fullPath: '/compte/profil'
      preLoaderRoute: typeof UserLayoutCompteProfilImport
      parentRoute: typeof UserLayoutCompteImport
    }
    '/_userLayout/compte/ressources': {
      id: '/_userLayout/compte/ressources'
      path: '/ressources'
      fullPath: '/compte/ressources'
      preLoaderRoute: typeof UserLayoutCompteRessourcesImport
      parentRoute: typeof UserLayoutCompteImport
    }
  }
}

// Create and export the route tree

export const routeTree = rootRoute.addChildren({
  IndexRoute,
  UserLayoutRoute: UserLayoutRoute.addChildren({
    UserLayoutCompteRoute: UserLayoutCompteRoute.addChildren({
      UserLayoutCompteCommandesRoute,
      UserLayoutCompteCreditsRoute,
      UserLayoutCompteDemandesRoute,
      UserLayoutCompteParametresRoute,
      UserLayoutCompteProfilRoute,
      UserLayoutCompteRessourcesRoute,
    }),
  }),
  CatalogueRoute: CatalogueRoute.addChildren({ CatalogueRessourceIdRoute }),
  LabellisationRoute,
  PanierRoute,
})

/* prettier-ignore-end */

/* ROUTE_MANIFEST_START
{
  "routes": {
    "__root__": {
      "filePath": "__root.tsx",
      "children": [
        "/",
        "/_userLayout",
        "/catalogue",
        "/labellisation",
        "/panier"
      ]
    },
    "/": {
      "filePath": "index.tsx"
    },
    "/_userLayout": {
      "filePath": "_userLayout.tsx",
      "children": [
        "/_userLayout/compte"
      ]
    },
    "/catalogue": {
      "filePath": "catalogue.tsx",
      "children": [
        "/catalogue/$ressourceId"
      ]
    },
    "/labellisation": {
      "filePath": "labellisation.tsx"
    },
    "/panier": {
      "filePath": "panier.tsx"
    },
    "/_userLayout/compte": {
      "filePath": "_userLayout/compte.tsx",
      "parent": "/_userLayout",
      "children": [
        "/_userLayout/compte/commandes",
        "/_userLayout/compte/credits",
        "/_userLayout/compte/demandes",
        "/_userLayout/compte/parametres",
        "/_userLayout/compte/profil",
        "/_userLayout/compte/ressources"
      ]
    },
    "/catalogue/$ressourceId": {
      "filePath": "catalogue/$ressourceId.tsx",
      "parent": "/catalogue"
    },
    "/_userLayout/compte/commandes": {
      "filePath": "_userLayout/compte.commandes.tsx",
      "parent": "/_userLayout/compte"
    },
    "/_userLayout/compte/credits": {
      "filePath": "_userLayout/compte.credits.tsx",
      "parent": "/_userLayout/compte"
    },
    "/_userLayout/compte/demandes": {
      "filePath": "_userLayout/compte.demandes.tsx",
      "parent": "/_userLayout/compte"
    },
    "/_userLayout/compte/parametres": {
      "filePath": "_userLayout/compte.parametres.tsx",
      "parent": "/_userLayout/compte"
    },
    "/_userLayout/compte/profil": {
      "filePath": "_userLayout/compte.profil.tsx",
      "parent": "/_userLayout/compte"
    },
    "/_userLayout/compte/ressources": {
      "filePath": "_userLayout/compte.ressources.tsx",
      "parent": "/_userLayout/compte"
    }
  }
}
ROUTE_MANIFEST_END */
